body {
  background-color: #f2f2f2;
  font-family: "Lato"; /* Google Fonts - base font */
  font-weight: 300;
  font-size: 16px;
  color: #555;

  -webkit-font-smoothing: antialiased;
  -webkit-overflow-scrolling: touch;
}

/* Titles */
h1, h2, h3, h4, h5, h6 {
  font-family: 'Bebas Neue', cursive; /* Google Fonts - title font */
  font-weight: 400;
  color: #333;
}

/* Paragraph & Typographic */
p {
  line-height: 28px;
  margin-bottom: 25px;
}

.centered {
    text-align: center;
}

/* Links */
a {
  color: #1CBCAD;
  word-wrap: break-word;

  -webkit-transition: color 0.1s ease-in, background 0.1s ease-in;
  -moz-transition: color 0.1s ease-in, background 0.1s ease-in;
  -ms-transition: color 0.1s ease-in, background 0.1s ease-in;
  -o-transition: color 0.1s ease-in, background 0.1s ease-in;
  transition: color 0.1s ease-in, background 0.1s ease-in;
}

a:hover,
a:focus {
  color: #7b7b7b;
  text-decoration: none;
  outline: 0;
}

a:before,
a:after {
  -webkit-transition: color 0.1s ease-in, background 0.1s ease-in;
  -moz-transition: color 0.1s ease-in, background 0.1s ease-in;
  -ms-transition: color 0.1s ease-in, background 0.1s ease-in;
  -o-transition: color 0.1s ease-in, background 0.1s ease-in;
  transition: color 0.1s ease-in, background 0.1s ease-in;
}

 hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #ccc;
  margin: 1em 0;
  padding: 0;
}

/*---------------------------------------------------
  SECTION WRAPS
---------------------------------------------------*/

/* Header Wrap */
.header {
  background: url(../img/alex-portrait-3.jpg) right top / auto 100% no-repeat;
  background-color: #f5f5f5;
  padding-top: 300px;
  text-align: left;
  height: 700px;
  width: 100%;
}

.header h1 {
  font-size: 50px;
  color: rgba(0,0,0,1.0);
  font-weight: 700;
  background: rgba(0,0,0,0.0);
  text-shadow: -1px 0px 8px white, 0px 1px 8px white, 1px 0px 8px white, 0px -1px 8px white;
}

.header h3 {
  font-size: 20px;
  color: rgba(0,0,0,1.0);
  font-weight: 600;
  text-shadow: -1px 0px 8px white, 0px 1px 8px white, 1px 0px 8px white, 0px -1px 8px white;
}

.header h3 a {
  color: rgba(0,0,0,1.0);
}

/* About Wrap */
.about {
  background: #2c3e50;
  padding-top: 60px;
  padding-bottom: 60px;
  color: white;
} 

.about h5, p {
  color: white;
}

.about i {
  color: white;
  font-size: 20px;
  padding-right: 8px;
  vertical-align: middle;
}

.footer {
  background: #2f2f2f;
  padding-top: 50px;
  padding-bottom: 50px;
}

.footer p {
  color: white;
}

.footer h5 {
  color: white;
}

.footer t {
  font-weight: 700;
}

/* social icons: */
.footer i {
  padding-right: 8px;
  /*color: #1abc9c;*/
}

/* Global Values */

.desc {
  padding-top: 50px;
}

.desc p {
  color: #2f2f2f;
}

.desc t {
  color: #34495e;
  font-weight: 700;
}

.desc imp {
  padding: 6px;
  color: white;
  background: #34495e;
}

.desc more {
  color: #616669;
}


sm {
  font-size: 12px;
}

.desc .col-lg-3 {
  text-transform: uppercase;
}

.container .row p.tight {
  margin-bottom: 10px;
}

/* define some CSS3 animations: */
body {
  -webkit-backface-visibility: hidden;
}

.animated {
  -webkit-animation-duration: 1s;
  -moz-animation-duration: 1s;
  -o-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-fill-mode: both;
  -moz-animation-fill-mode: both;
  -o-animation-fill-mode: both;
  animation-fill-mode: both;
}

@-webkit-keyframes fadeIn {
  0% {
    opacity: 0; 
  }

  100% {
    opacity: 1; 
  }
}

@-moz-keyframes fadeIn {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@-o-keyframes fadeIn {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  } 
}

.fadeIn {
  -webkit-animation-name: fadeIn;
  -moz-animation-name: fadeIn;
  -o-animation-name: fadeIn;
  animation-name: fadeIn;
}

/* 1 */
@-webkit-keyframes fadeInUp {
  0% {
    opacity: 0;
    -webkit-transform: translateY(20px);
  }

  100% {
    opacity: 1;
    -webkit-transform: translateY(0);
  }
}

@-moz-keyframes fadeInUp {
  0% {
    opacity: 0;
    -moz-transform: translateY(20px);
  }

  100% {
    opacity: 1;
    -moz-transform: translateY(0);
  }
}

@-o-keyframes fadeInUp {
  0% {
    opacity: 0;
    -o-transform: translateY(20px);
  }

  100% {
    opacity: 1;
    -o-transform: translateY(0);
  }
}

@keyframes fadeInUp {
  0% {
    opacity: 0;
    transform: translateY(20px);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.fadeInUp {
  -webkit-animation-name: fadeInUp;
  -moz-animation-name: fadeInUp;
  -o-animation-name: fadeInUp;
  animation-name: fadeInUp;
  }


div.sticky {
        position: -webkit-sticky;
        position: sticky;
        top: 0;
        padding-top: 2px;
        padding-bottom: 3px;
        background-color: #f2f2f2;
        z-index: 1;
    }

div.sticky_about {
        position: -webkit-sticky;
        position: sticky;
        top: 0;
        padding-top: 2px;
        padding-bottom: 3px;
        background-color: #2c3e50;
        z-index: 1;
    }
div.sticky_contact {
        position: -webkit-sticky;
        position: sticky;
        top: 0;
        padding-top: 0px;
        padding-bottom: 3px;
        background-color: #2f2f2f;
        z-index: 1;
    }

/* divison for index search */
div.index {
  margin-top: 160px;
  margin-bottom: 10px;
  margin-left: 0px;
  margin-right: 0px;
}

/* button in the index section */
.button {
  background-color: rgba(255,255,255,0.5); 
  border: none;
  color: white;
  padding: 7px 9px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 15px;
  margin: 4px 2px;
  -webkit-transition-duration: 0.4s; /* Safari */
  -webkit-tap-highlight-color: rgba(0,0,0,0);
  transition-duration: 0.4s;
  cursor: pointer;
  border-radius: 12px;
}

.button_index {
  background-color:rgba(255,255,255,0.6); 
  color: #2c3e50; 
  border: 0px solid white;
}

.button_index:hover {
  background-color: #2c3e50;
  color: white;
}

/* links for the index buttons */
a.index {
  color: #2c3e50; 
  word-wrap: break-word;
}
a.index:hover,
a.index:focus {
  color: white;
  text-decoration: none;
  outline: 0;
}

a.index:before,
a.index:after,

/* Collapse for skill section */
.collapsible {
  background-color: transparent;
  color: #2c3e50;
  cursor: pointer;
  padding: 0px;
  width: 100%;
  border: none;
  text-align: left;
  outline: none;
  font-size: 16px;
}

.active, .collapsible:hover {
  background-color: transparent;
}

.content {
  padding: 0 18px;
  display: none;
  overflow: hidden;
  background-color: #f1f1f1;
}

/* Back to top button design*/
#myBtn {
  display: none;
  position: fixed;
  bottom: 30px;
  right: 30px;
  z-index: 99;
  font-size: 18px;
  border: 2px solid #2c3e50;
  outline: none;
  background-color: #2c3e50;
  color: #f2f2f2;
  cursor: pointer;
  padding: 5px 8px;
  border-radius: 8px;
}

#myBtn:hover {
  background-color: #f2f2f2;
  color:#2c3e50;
  border: 2px solid #2c3e50;
}
/*---------------------------------------------------
  RESPONSIVE - header photo only
---------------------------------------------------*/

@media (max-width: 900px) {
  .header {
    height: 500px;
    padding-top: 220px;
  }
}

@media (max-width: 600px) {
  .header {
    height: 380px;
    padding-top: 160px;
  }
}

@media (max-width: 400px) {
  .header {
    height: 300px;
    padding-top: 120px;
  }
}
